Subject: RE: ps and kill
From: [email-masked] (Scott Field)

8 Dec 1996 22:14:21 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <c=US%a=_%p=msft%l=[email-masked]>
Original-To: "'Doug Evans'" <[email-masked]>,
        "'Ben Constable'"
	 <[email-masked]>
Original-Cc: "[email-masked]'" <[email-masked]>
X-Mailer: Microsoft Exchange Server Internet Mail Connector Version 4.0.994.63
Encoding: 51 TEXT
Original-Sender: [email-masked]

Writing a device driver sounds overkill to me.  Also, these are
user-mode API calls, and I don't think kernel-mode equivalents exist.
Why not write OS dependant code and hide it in cygwin.dll ?

>----------
>From: 	Ben Constable[SMTP:[email-masked]]
>Sent: 	Friday, December 06, 1996 6:01 PM
>To: 	Scott Field; 'Doug Evans'
>Cc: 	[email-masked]'
>Subject: 	Re: ps and kill
>
>> The code to do this right for both platforms would be very different.
>
>This does not have to be true. Under win32, some devices are mapped to
>files. The com ports, for instance, are obtained by opening a file with the
>name of the com port. If we wrote a driver for NT that took a filename of
>utmp, and it updated everytime somebody logged on and off, then we would
>not have a problem anymore. The code for both platforms would open the same
>file and then the drivers would be the only different bit.
> 
>> For Win95, only one logged on security context is possible, so use
>> GetUserName()
>> For WinNT, multiple users can be logged on (see SU utility is NT reskit)
>> .  NetWkstaUserEnum() can give you a list of logged on users.
>
>There you go. My point proven - NT and win95 are different. However, in
>this case, it could be gotten over by a little simple driver stuff. Anybody
>out there got any driver info (I do not have the DDK)?
>
>> >Maybe `who' has been ported to NT yet.
>> >You'll find there are lots of such binaries that will compile but
>> >that no one has had time yet to see whether they do anything appropriate
>> >or not.
>
>Well, have the people at cygnus heard us? Will B17 have a nonworking who in
>it? The short term fix is to use native API's. The long term fix is the
>driver solution.
>
>> >One difference between the linux project and the gnu-win32 project
>> >is the several orders of magnitude of difference in quantity of
>> >contributed patches ....
>
>How do I contribute a patch?
>
>Ben Constable
>[email-masked]
>
>-
>For help on using this list, send a message to
>"[email-masked]" with one line of text: "help".
>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".